### Method

# ICalGLib Timezone get_tznames

since: 1.0

#### Declaration [src]

    const gchar*
    i_cal_timezone_get_tznames (
      const ICalTimezone* zone
    )

#### Description [src]

Returns the TZNAME properties used in the latest STANDARD and DAYLIGHT components. If they are the same it will return just one, e.g. “LMT”. If they are different it will format them like “EST/EDT”. Note that this may also return NULL.

Available since: 1.0

#### Parameters

`zone`

  Type: `ICalTimezone`

  The `ICalTimezone` to be queried.

  The argument can be `NULL`.

#### Return value

Type: `const gchar*`

The timezone name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.